Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 150169 - More rough Change Visible Columns dialog in outline view
More rough Change Visible Columns dialog in outline view
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@platform
: UI
Depends on:
Blocks: 136658
  Show dependency treegraph
 
Reported: 2008-10-15 08:54 UTC by Martin Entlicher
Modified: 2009-02-19 22:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Original dialog from TreeTableView (10.01 KB, text/plain)
2008-10-15 08:56 UTC, Martin Entlicher
Details
Original dialog from TreeTableView with the correct MIME type (10.01 KB, image/png)
2008-10-15 08:57 UTC, Martin Entlicher
Details
New dialog from Outline (6.96 KB, image/png)
2008-10-15 08:57 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2008-10-15 08:54:50 UTC
Comparing to old TreeTableView, the new Outline has more rough Change Visible Columns dialog without column
descriptions. This hurts usability IMHO.
Is there some UI spec that this dialog should change?
Comment 1 Martin Entlicher 2008-10-15 08:56:13 UTC
Created attachment 71827 [details]
Original dialog from TreeTableView
Comment 2 Martin Entlicher 2008-10-15 08:57:09 UTC
Created attachment 71828 [details]
Original dialog from TreeTableView with the correct MIME type
Comment 3 Martin Entlicher 2008-10-15 08:57:41 UTC
Created attachment 71829 [details]
New dialog from Outline
Comment 4 Martin Entlicher 2008-10-23 13:29:18 UTC
Also the column names should be listed in the order they appear in the table IMHO.
Comment 5 Stanislav Aubrecht 2008-12-08 16:23:30 UTC
reassigning to new component owner
Comment 6 Jiri Rechtacek 2008-12-16 17:39:09 UTC
fixed in core-main/rev/a59d74214b60
Comment 7 Quality Engineering 2008-12-17 16:56:01 UTC
Integrated into 'main-golden', will be available in build *200812171401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a59d74214b60
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #150169: More rough Change Visible Columns dialog in outline view;
#150175: Column headers in Outline view do not have tooltips


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo